List reconciliations
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Reconciliations
List reconciliations
Your imports, newest first, each with its counts. The newest 100 at most. Needs read on Animals.
GET
/
api
/
animals
/
reconciliations
List reconciliations
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}